org.apache.tiles.request.collection

## Class KeySet

- java.lang.Object
- - org.apache.tiles.request.collection.KeySet

- All Implemented Interfaces:
    Iterable<String>, Collection<String>, Set<String>
  Direct Known Subclasses:
    RemovableKeySet

      public class KeySet
      extends Object
      implements Set<String>

  Exposes keys of a `HasKeys` object as a set.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeySet(HasKeys<?> request)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(String e)`
    `boolean` | `addAll(Collection<? extends String> c)`
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `boolean` | `isEmpty()`
    `Iterator<String>` | `iterator()`
    `boolean` | `remove(Object o)`
    `boolean` | `removeAll(Collection<?> c)`
    `boolean` | `retainAll(Collection<?> c)`
    `int` | `size()`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `equals, hashCode, spliterator`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### KeySet

          public KeySet(HasKeys<?> request)

      Constructor.
      Parameters:
        `request` - The request to read.

  - ### Method Detail

    - #### add

          public boolean add(String e)

      Specified by:
        `add` in interface `Collection<String>`
      Specified by:
        `add` in interface `Set<String>`

    - #### addAll

          public boolean addAll(Collection<? extends String> c)

      Specified by:
        `addAll` in interface `Collection<String>`
      Specified by:
        `addAll` in interface `Set<String>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<String>`
      Specified by:
        `clear` in interface `Set<String>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<String>`
      Specified by:
        `contains` in interface `Set<String>`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<String>`
      Specified by:
        `containsAll` in interface `Set<String>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<String>`
      Specified by:
        `isEmpty` in interface `Set<String>`

    - #### iterator

          public Iterator<String> iterator()

      Specified by:
        `iterator` in interface `Iterable<String>`
      Specified by:
        `iterator` in interface `Collection<String>`
      Specified by:
        `iterator` in interface `Set<String>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<String>`
      Specified by:
        `remove` in interface `Set<String>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<String>`
      Specified by:
        `removeAll` in interface `Set<String>`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<String>`
      Specified by:
        `retainAll` in interface `Set<String>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<String>`
      Specified by:
        `size` in interface `Set<String>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<String>`
      Specified by:
        `toArray` in interface `Set<String>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `Collection<String>`
      Specified by:
        `toArray` in interface `Set<String>`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.